#!/bin/sh

VERSION=`egrep '^--[[:space:]]*Version:.*' hask2e.hs | egrep -o '[0-9]+\.[0-9]+\.[0-9+]'`
RELEASE=release_`echo $VERSION | sed 's/\./_/g'`

echo "Creating tarball for version $VERSION ($RELEASE)..." 1>&2

DIRNAME="hask2e-$VERSION"
TARNAME=releases/${DIRNAME}.tar.gz

mkdir $DIRNAME || exit 1
make clean
cp `find . -type f -maxdepth 1` $DIRNAME

tar cfz $TARNAME $DIRNAME/*
rm -rf $DIRNAME

cg-tag $RELEASE

tar tfz $TARNAME

